<div class="header bg-gradient-danger pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->


    </div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <div class="row">
    <div class="col">
      <div class="card shadow">
        <div class="card-header bg-transparent">
          <h3 class="mb-0">Add Category</h3>
        </div>
        <div class="card-body">

          <div [hidden]="submitted" style="width: 400px;">
            <form (ngSubmit)="onSubmit()">
              <div class="form-group">
                <label for="name">Name</label>
                <input type="text" class="form-control" id="name" required [(ngModel)]="category.desig"
                       name="desig">
              </div>
              <div class="form-group">
                <button
                        type="button"
                        class="small btn btn-outline-primary"
                        (click)="addSubCategory()"
                >
                  Add Sub Category
                </button>


                <section

                        *ngFor="let subCategory of category.subCategories; let i = index"
                >
                  <input
                          type="text"
                          class="form-control"
                          [(ngModel)]="category.subCategories[i].name"
                          name="subCategory{{ i }}"
                          placeholder="subCategory"
                  />
                  <button
                          type="button"
                          class="btn btn-danger btn-sm float-right"
                          (click)="removeSubCategory(i)"
                  >
                    X
                  </button>
                </section>
              </div>
              <button type="submit" class="btn btn-secondary btn-lg active">Submit</button>
            </form>
          </div>

          <div [hidden]="!submitted">

            <!-- <button class="btn btn-success" (click)="newEmployee()">Add</button> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

